-----------------------------------------------------------------------------
-- Site 7
-----------------------------------------------------------------------------   
-- GLOBALS

function Walk(name)    
    local x;
    x = Entity.FindName(entRoot, name);
    if (x) then
        Animal.SetState(x, ST_WPT_WALK);	
        Animal.EnableFear(x, false);
        end;
    end;    	

-----------------------------------------------------------------------------
-- PostStage

function PostStage()	    
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");                 
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()

    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");
    EntGame.SetGlobalDustColorInitial(1.0, 0.6, 0.5, 0.3);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.6, 0.5, 0.3);

    -- load world
    SetupWorld("Maps\\Site7\\Site7.ini", "","","");
    EntGame.CreatePlayerEntities();

	-- Do any setup that is specifically for testing.
	if(EntGame.TestingLevels()) then
		Testing();
		end; 
		
    EntGame.SetGlobalDustColorInitial(1.0, 0.71, .6, .5);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.71, .6, .5);
    
    EntGame.SetStageTimer(180);

    EntGame.LoadAnimal(AID_CARIBOU_M);
    EntGame.LoadAnimal(AID_CARIBOU_F);
	EntGame.LoadAnimal(AID_LYNX);
    EntGame.LoadAnimal(AID_GROUSE);
    EntGame.LoadAnimal(AID_BLACK_BEAR);
    
 	-- setup tournament logic    
    EntGame.StagePrepare();           

    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    -- wait until the intro dialog is dispatched
    while (EntGame.GetFlag(GF_READYTOSTART) == false) do
        Script.WaitFrame(1);
        end;

    -- do a fade out        
    FadeOut();
    Script.WaitSec(0.5);    
    
    end;
-------------------------------------------------------------------------------       
function Intro()

	EntGame.PlaySong("Music\\HillbillyBeatdown.ogg");

    -- while the scene is black, change the view
    -- grab the camera
    entCamera = Entity.FindName(entRoot, "MainCamera");
    -- show the scene from the camera view
    EntGame.BindCameraToEntity(entCamera);    
    
    -- set up initial player position and animals
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.1);      
    
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath3", 0, ST_GRAZING, 1.5+5, 0, 0, .1);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath1", 0, ST_GRAZING, 2.0+5, 6, 0, .1);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath2", 0, ST_GRAZING, 3.5+5, 6, 5, .1);
    animal2=EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "DecorativePath4", 0, ST_GRAZING, 14+3, 0, 0, .8);
	Entity.SetName(animal2, "BlackBear1");
    Animal.FaceEntity(animal2, "CountdownCamera2");
	animal1=EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "DecorativePath5", 0, ST_GRAZING, 13+3, 0, 0, .1);
    Animal.FaceEntity(animal1, "BlackBear1");
    animal=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath1", 0, ST_GRAZING, 16.5+4, 0, 0, 1);
    animal=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath1", 0, ST_GRAZING, 17.2+4, 2, 4, 1);
    Animal.EnableFear(animal, false);
	
    -- set the camera to a cool spot, then fade in
    EntGame.BindCameraToEntity("CountdownCamera2");
    FadeIn();    
    Script.WaitSec(1.0); 
    
    -- "3"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_3, 0);   
    Script.WaitSec(1.0);
    
    -- "2"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_2, 0);   
    EntGame.BindCameraToEntity("CountdownCamera3");
    Script.WaitSec(1.0);
    
    -- "1"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_1, 0);   
    EntGame.BindCameraToEntity("CountdownCamera1");
    Script.WaitSec(1.0);
    
    -- "HUNT!"  
    entCamera = Entity.FindName(entRoot, "MainCamera");
    EntGame.BindCameraToEntity(entCamera);    
    Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.01);    
    EntGame.BindInputToEntity("Player1");  
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_HUNT, 0);     
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_START, 0);
 
    end;

-----------------------------------------------------------------------------
-- Use this function for overriding various game parameters (i.e. weapon availability, etc.)
function Testing()    
    EntGame.SetPlayerWeapon(0, WS_PISTOL, 	    WID_PISTOL_2);
	EntGame.SetPlayerWeapon(0, WS_SINGLE_RIFLE, WID_SINGLE_RIFLE_2);
    EntGame.SetPlayerWeapon(0, WS_SHOTGUN,	    WID_SHOTGUN_1);	
	EntGame.SetPlayerWeapon(0, WS_AUTO_RIFLE, 	WID_AUTO_RIFLE_2);	
	EntGame.SetPlayerWeapon(0, WS_BOW, 		    WID_BOW_1);
	EntGame.ResetWeaponIcons();
	end; 
    
-----------------------------------------------------------------------------

function Part1()
            
    Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(5);
    
    Camera.SetSpeed(entCamera, 3.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptCC");

    Script.WaitSec(12);
        
    -- pan left 
    Camera.SetPanOffset(entCamera, -40, 3.5);
  
    Script.WaitSec(6);
    EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath6", 0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(2.5);
    EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath6", 0, ST_WPT_RUN, 0, -2.5, -4, .7);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath6", 0, ST_WPT_RUN, 0, 1, -8, .7);
    Script.WaitSec(2);
	
	--POWERUP!!!
	Lynx = EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath6", 0, ST_WPT_RUN, 0, -1.5, 0, .7);
	EntGame.CreateAnimalPowerUp(Lynx, PID_WILEY_VISION_50);
		
	Script.WaitSec(4.5);
    
	--PREDATOR #1
    Nilecroc4 = EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "DecorativePath6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Animal.SetAttackType(Nilecroc4, ATK_STATIC);
	Animal.SetStaticAttackDist(Nilecroc4, 3.75);
	Animal.SetStaticAttackDelay(Nilecroc4, 1.75);	
    Animal.SetAutoChargeDist(Nilecroc4, 15.0);
    Animal.SetPostAttackRand(Nilecroc4, false);
    Animal.SetPostAttackDir(Nilecroc4, -30);
	
    Script.WaitSec(4);
   
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.8);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, -8, -8, 1);
    Script.WaitSec(.4);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath4", 0, ST_WPT_RUN, 0, -5, -5, 1);

    -- pan right
    Camera.SetPanOffset(entCamera, 65, 2);
  
    end;
    

-----------------------------------------------------------------------------

function Part2()

	--Camera.JumpToWaypoint(entCamera, "CamWptCC");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);     
	
    Camera.SetSpeed(entCamera, 2.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    
    Script.WaitSec(3);
    
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1.5);
    
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath4", 0, ST_WPT_RUN, 0, -5, -5, 1);
        
    Script.WaitSec(3);
            
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath7", 0, ST_WPT_RUN, 0, -1, 2.5, .4);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath7", 0, ST_WPT_RUN, 0, 0, -3, .2);

    Script.WaitSec(1.5);
    
    Lynx5 = EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath7", 0, ST_WPT_RUN, 0, 0, 0, .7);
    Entity.SetName(Lynx5, "Lynx1");
    Script.WaitSec(.75);
    Lynx6 = EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath7", 0, ST_WPT_RUN, 0, 2, -3, .5);
    Entity.SetName(Lynx6, "Lynx2");
    Script.WaitSec(.75);
    Lynx7 = EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath7", 0, ST_WPT_RUN, 0, -1, 5, .6);
    Entity.SetName(Lynx7, "Lynx3");
    
    -- pan left to the center
    Camera.SetPanOffset(entCamera, -20, 5);
    
    Script.WaitSec(5);	

    Walk("Lynx1");

    Script.WaitSec(1.5);
    Walk("Lynx3");

    Script.WaitSec(.8);
    Walk("Lynx2");

	Script.WaitSec(3);
		
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
	
	--POWERUP!!!
    Caribou = EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, -6, -5, 1);
	EntGame.CreateAnimalPowerUp(Caribou, PID_4X_MAGAZINE);
	
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, -2, -2.5, 1);
    
    Script.WaitSec(3.5);
    
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.8);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath4", 0, ST_WPT_RUN, 0, -6, -5, 1);
    Script.WaitSec(.4);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath4", 0, ST_WPT_RUN, 0, -2, -2.5, 1);

    Camera.SetPanOffset(entCamera, 0, 5);	
    
    Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(6); --Shooting Time	     
    
    end;
    
-----------------------------------------------------------------------------

function Part3()

	--Camera.JumpToWaypoint(entCamera, "CamWptEE");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);     
	
    Camera.SetSpeed(entCamera, 2.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptFF");
    Script.WaitSec(5);

    animal1=EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, .5, -4.3, 4, 1);     
    Animal.SetElvOffset(animal1, .3); 	
    Animal.FaceEntity(animal1, entCamera);
    Animal.SetCoinMode(animal1, CM_SPAWNREL);  
    Script.WaitSec(1);  
    
    animal2=EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, 1, -4.1, 0, 1);     
    Animal.SetElvOffset(animal2, .9);
    Animal.FaceEntity(animal2, entCamera);
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
	
    Script.WaitSec(1);    
    animal3=EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, .5, -3.9, -4, 1);     
    Animal.SetElvOffset(animal3, -.3); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL); 
      
    Script.WaitSec(3);
    
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath8", 0, ST_WPT_RUN, 0, 0, 0, 1);   
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath8", 0, ST_WPT_RUN, 0, -2, -6, .6);  	
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath8", 0, ST_WPT_RUN, 0, 2, -10, .8);  	

    Script.WaitSec(3);  
    
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath8", 0, ST_WPT_RUN, 4, -1, 0, 1);  
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath8", 0, ST_WPT_RUN, 4, -2, -3, .6); 

	--POWERUP
    Grouse = EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, 2.5, -4.1, 0, 1);     
    Animal.SetElvOffset(Grouse, .9);
    Animal.FaceEntity(Grouse, entCamera);
    Animal.SetCoinMode(Grouse, CM_SPAWNREL);
	EntGame.CreateAnimalPowerUp(Grouse, PID_1_5X_SCORE);
	
    Script.WaitSec(3.5);
	
    animal3=EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, .5, -3.9, -4, 1);     
    Animal.SetElvOffset(animal3, -.3); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL);  
         
    Script.WaitSec(1.5);  
        
	--POWERUP!!!
    Grouse = EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath9", 0, ST_WPT_WALK, 15, -8, 0, .5);  
	EntGame.CreateAnimalPowerUp(Grouse, PID_WILEY_VISION_50);
	
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath9", 0, ST_WPT_RUN, 3.5, -6, -4, 1);  
           
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath8", 0, ST_WPT_RUN, 0, 0, 0, .4);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath9", 0, ST_WPT_WALK, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath9", 0, ST_WPT_WALK, 0, -5, -1, 1);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath9", 0, ST_WPT_WALK, 0, 5, 3, 1);
	
	--POWERUP!!!
    Caribou = EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath9", 0, ST_WPT_WALK, 0, 3, -6, 1);
	EntGame.CreateAnimalPowerUp(Caribou, PID_2X_FIRE_RATE);
    
    Script.WaitSec(3);	
   
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath8", 0, ST_WPT_RUN, 4, -1, 0, 1);  
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath8", 0, ST_WPT_RUN, 4, -2, -3, .6); 		
    
    Script.WaitSec(3);	
        
    animal2=EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, 1.5, -4.1, 0, 1);     
    Animal.SetElvOffset(animal2, .9);
    Animal.FaceEntity(animal2, entCamera);
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
    Script.WaitSec(1);    
    animal3=EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath15", 0, ST_POPUP, 1, -3.9, -4, 1);     
    Animal.SetElvOffset(animal3, -.3); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL); 
    
    Script.WaitSec(4);
 
    end;

-----------------------------------------------------------------------------

function Part4()

    --Camera.JumpToWaypoint(entCamera, "CamWptFF");
    --Camera.SetSpeed(entCamera, 0.0, 0.07);

    Camera.SetSpeed(entCamera, 2.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptHH");
    
    Script.WaitSec(5.5);  
         
	--PREDATOR #2
    Bear = EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "FollowPath7", 0, ST_WPT_CHARGE, 10, 0, 0, 1);
	Animal.FaceEntity(Bear, entCamera);
    Animal.SetAttackType(Bear, ATK_STRAFE);
	Animal.SetStrafeAttackDist(Bear, 5.5);
	Animal.SetStrafeAttackDelay(Bear, .75);	
    Animal.SetAutoChargeDist(Bear, 6);  
    Animal.SetPostAttackRand(Bear, false);
    Animal.SetPostAttackDir(Bear, 90);	
    Animal.SetPostAttackTimer(Bear, 4.0); 
            
    -- pan left
    Camera.SetPanOffset(entCamera, -120, 0.5);

    Script.WaitSec(4.5); 
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath10", 0, ST_WPT_RUN, 0, -6, -6, 1);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath10", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath10", 0, ST_WPT_RUN, 0, -3, 10, 1);
    
    -- pan right
    Camera.SetPanOffset(entCamera, 35, 1.5);
        
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath13", 0, ST_GRAZING, 2, -4, 3, .4);	
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath13", 0, ST_GRAZING, 4, 0, 2, .4);
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath13", 0, ST_GRAZING, 3, 1.5, -5, .4);
	
    Script.WaitSec(5);    
    
    -- pan center
    Camera.SetPanOffset(entCamera, 0, 1.5);
 
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath12", 0, ST_WPT_RUN, 0, 0, 0, 1);    
	Script.WaitSec(1);	
	EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath12", 0, ST_WPT_WALK, 0, -2.5, 0, 2.5);  
	Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath12", 0, ST_WPT_RUN, 0, 0, 0, .1);	
    Script.WaitSec(3.5);
    EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath12", 0, ST_WPT_RUN, 0, 2.5, 0, .1);
    Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath12", 0, ST_WPT_WALK, 0, 0, 0, 2);
	Script.WaitSec(2);	
	
	--POWERUP!!!
	Grouse = EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath12", 0, ST_WPT_RUN, 0, -2.5, 0, 2.5);
	EntGame.CreateAnimalPowerUp(Grouse, PID_BODY_ARMOR_50);
	
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_LYNX, "DecorativePath12", 0, ST_WPT_RUN, 0, 2, 0, .1);
    Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath12", 0, ST_WPT_RUN, 0, -2, 0, 1.5);  
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath12", 0, ST_WPT_RUN, 0, 2, 0, 2);    
	
    Script.WaitSec(1.5);
	
	--PREDATOR #3
	Bear4 = EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "DecorativePath12", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Animal.SetAttackType(Bear4, ATK_STATIC);
	Animal.SetStaticAttackDist(Bear4, 3.75);
	Animal.SetStaticAttackDelay(Bear4, 1.75);		
    Animal.SetAutoChargeDist(Bear4, 15.0);
    Animal.SetPostAttackRand(Bear4, false);
    Animal.SetPostAttackDir(Bear4, 50);
	
    Script.WaitSec(5);
	
	--PREDATOR #4
	Bear4 = EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "DecorativePath12", 0, ST_WPT_RUN, 0, -2, 0, .6);
    Animal.SetAttackType(Bear4, ATK_STATIC);
	Animal.SetStaticAttackDist(Bear4, 3.75);
	Animal.SetStaticAttackDelay(Bear4, 1.75);		
    Animal.SetAutoChargeDist(Bear4, 15.0);
    Animal.SetPostAttackRand(Bear4, false);
    Animal.SetPostAttackDir(Bear4, 50);

	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath11", 0, ST_WPT_WALK, 0, 0, 1.5, 2);		
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_GROUSE, "DecorativePath11", 0, ST_WPT_WALK, 0, 0, 0, 2);
	Script.WaitSec(3);
	
    end;
    

-----------------------------------------------------------------------------

function Part5()

	--Camera.JumpToWaypoint(entCamera, "CamWptHH");
    --Camera.SetSpeed(entCamera, 0.0, 0.07);
	
    Camera.SetSpeed(entCamera, 1.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptII");
    
    Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath11", 0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath11", 0, ST_WPT_RUN, 0, 0, 1, .3);
	Script.WaitSec(1.5);
	
	--POWERUP
	Caribou = EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath11", 0, ST_WPT_RUN, 0, 0, 0, .5);
	EntGame.CreateAnimalPowerUp(Caribou, PID_2X_SCORE);	
	
    Script.WaitSec(2.5);
    
    animal3=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath5", 0, ST_WPT_WALK, 4, 0, 0, 1);	
    Animal.EnableFear(animal3, false); 
    animal4=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath5", 0, ST_WPT_WALK, 5.5, -1, 2.5, 1);	
    Animal.EnableFear(animal4, false);	
    animal5=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath5", 0, ST_WPT_WALK, 6, 1.5, 4, 1);	
    Animal.EnableFear(animal5, false);	
    
    Script.WaitSec(7);	
	
	animal3=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath5", 0, ST_WPT_WALK, 3, 0, -6, 1);	
    Animal.EnableFear(animal3, false); 
    animal4=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath5", 0, ST_WPT_WALK, 4, -1, -8, 1);	
    Animal.EnableFear(animal4, false);
    animal4=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath17", 0, ST_WPT_RUN, 0, 0, 2.5, .2);	
    Animal.EnableFear(animal4, false);	
	
	Script.WaitSec(1);
	
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath17", 0, ST_WPT_RUN, 0, 2, 0, .1);	
   
    Script.WaitSec(2);
	
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath6", 0, ST_WPT_RUN, 0, 0, 0, .5);	
    Script.WaitSec(2);	
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Script.WaitSec(2);	
 
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "FollowPath6", 0, ST_WPT_RUN, 0, -1, 2.5, .3);	
    
    Script.WaitSec(2);		
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath17", 0, ST_WPT_RUN, 0, .5, .5, .5);	
    Script.WaitSec(1.5);	
	
    EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "FollowPath6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Script.WaitSec(1.5);	
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "DecorativePath17", 0, ST_WPT_RUN, 0, -2, -1, .3);	
	Script.WaitSec(2);	
	animal1 = EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "DecorativePath17", 0, ST_WPT_RUN, 0, -2, -1, .5);	
	Animal.FaceEntity(animal1, entCamera); 
	Script.WaitSec(1);
	animal2 = EntGame.SpawnAnimalOnPath(AID_BLACK_BEAR, "DecorativePath17", 0, ST_WPT_RUN, 0, -2, -1, .5);	
	Animal.FaceEntity(animal2, entCamera); 
	
    end;
    
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Intro();
Part1(); 
Part2();   
Part3();   
Part4();   
Part5();   


